Cockroach install problems

I am trying to install Cockroach 1.00 , pointcloud processing for Grasshopper by placing the extracted files in the GH library folder in AppData. But I get the error message in the command prompt when I start Rhino. It says that CockroachGH is not readable and supported. It seems to be a problem with compability in .NET Framework ?
Anyone have a clue

Hi Fredrik!

The recommended way is to install plug-ins through the PluginManager.

Please run the Rhino SystemInfo command and copy-paste the result here.
Hilsen,
-wim

Hi Wim!
I deleted the extracted files in the library and uninstalled Cockcroach ver 0.01 an installed via pluginmanager (wich was possible after unblocking the file in properties) but I still have the same problem

Hers syinfo;

Rhino 7 SR9 2021-8-10 (Rhino 7, 7.9.21222.15001, Git hash:master @ 190335c3fb65efe86c302714a8959a7dadfe667b)
License type: Commercial, build 2021-08-10
License details: Cloud Zoo

Windows 10.0.19043 SR0.0 or greater (Physical RAM: 32Gb)

Computer platform: DESKTOP

Standard graphics configuration.
Primary display and OpenGL: NVIDIA GeForce RTX 2080 (NVidia) Memory: 8GB, Driver date: 9-30-2020 (M-D-Y). OpenGL Ver: 4.6.0 NVIDIA 456.71
> Accelerated graphics device with 4 adapter port(s)
- Windows Main Display attached to adapter port #0
- Secondary monitor attached to adapter port #1

OpenGL Settings
Safe mode: Off
Use accelerated hardware modes: On
Redraw scene when viewports are exposed: On
Graphics level being used: OpenGL 4.6 (primary GPU’s maximum)

Anti-alias mode: 4x
Mip Map Filtering: Linear
Anisotropic Filtering Mode: High

Vendor Name: NVIDIA Corporation
Render version: 4.6
Shading Language: 4.60 NVIDIA
Driver Date: 9-30-2020
Driver Version: 27.21.14.5671
Maximum Texture size: 32768 x 32768
Z-Buffer depth: 24 bits
Maximum Viewport size: 32768 x 32768
Total Video Memory: 8 GB

Rhino plugins that do not ship with Rhino
D:\Dropbox\ProgramBackup\Rhinoceros\Mina verktyg\BoltGen\BoltGen1_63.rhp “BoltGen” 0.0.0.0
C:\Program Files\ADA 3D\Mesh2Surface for Rhino 6\m2s_for_Rhino.rhp “MESH2SURFACE”
C:\ProgramData\McNeel\Rhinoceros\7.0\Plug-ins\Twinmotion Direct Link 2020.2 (e24ee14a-9514-47da-8fe6-f6e61b20160e)\Twinmotion Direct Link 2020.rhp “Twinmotion Direct Link 2020” 1.0.6.0
D:\Dropbox\Setup\Rhinoceros\Grasshopper\cockroach\CockroachRhino.rhp “CockroachRhino” 1.0.0.0

Rhino plugins that ship with Rhino
C:\Program Files\Rhino 7\Plug-ins\Commands.rhp “Commands” 7.9.21222.15001
C:\Program Files\Rhino 7\Plug-ins\WebBrowser.rhp “WebBrowser”
C:\Program Files\Rhino 7\Plug-ins\rdk.rhp “Renderer Development Kit”
C:\Program Files\Rhino 7\Plug-ins\RhinoScript.rhp “RhinoScript”
C:\Program Files\Rhino 7\Plug-ins\AnimationTools.rhp “AnimationTools”
C:\Program Files\Rhino 7\Plug-ins\IdleProcessor.rhp “IdleProcessor”
C:\Program Files\Rhino 7\Plug-ins\RhinoRenderCycles.rhp “Rhino Render” 7.9.21222.15001
C:\Program Files\Rhino 7\Plug-ins\RhinoRender.rhp “Legacy Rhino Render”
C:\Program Files\Rhino 7\Plug-ins\rdk_etoui.rhp “RDK_EtoUI” 7.9.21222.15001
C:\Program Files\Rhino 7\Plug-ins\rdk_ui.rhp “Renderer Development Kit UI”
C:\Program Files\Rhino 7\Plug-ins\NamedSnapshots.rhp “Snapshots”
C:\Program Files\Rhino 7\Plug-ins\Alerter.rhp “Alerter”
C:\Program Files\Rhino 7\Plug-ins\IronPython\RhinoDLR_Python.rhp “IronPython” 7.9.21222.15001
C:\Program Files\Rhino 7\Plug-ins\RhinoCycles.rhp “RhinoCycles” 7.9.21222.15001
C:\Program Files\Rhino 7\Plug-ins\Grasshopper\GrasshopperPlugin.rhp “Grasshopper” 7.9.21222.15001
C:\Program Files\Rhino 7\Plug-ins\Toolbars\Toolbars.rhp “Toolbars” 7.9.21222.15001
C:\Program Files\Rhino 7\Plug-ins\3dxrhino.rhp “3Dconnexion 3D Mouse”
C:\Program Files\Rhino 7\Plug-ins\Displacement.rhp “Displacement”

I solved it!! You have to unblock the .gha file too!! Now its running!
/F

Glad you worked it out.
I see I messed up and wrote PluginManager where I was trying to write PackageManager.
The PackageManager is the preferred way to install plug-ins (not all plug-ins are available as packages but Cockroach is). Sorry about that…
-wim

Ok Thanks! Note: The version of Cockroach in PakageManager (0.01) is the Rhino version (runs
with commando prompt commands) and doesnt install to Grasshopper. The 1.00 version you have to download at Food4Rhino and install via PluginManager, so you were actually right…

1 Like